Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
New Member

anyconnect linux 64-bit

Hi,

Has anyone managed to get vpn to work on a 64-bit linux machine?

I keep getting the following message:

Login denied. Your environment does not meet the access criteria defined by your administrator

I am using the correct group to login and I've contacted IT about this, but they have no clue.

It only happens with the 64-bit client, not the 32-bit one.

Any help will be greatly appreciated.

Many thanks,

M

Ps. using anyconnect 3.1.02043

3 REPLIES
New Member

anyconnect linux 64-bit

Not sure what distro you are using but I have been able to get it working in Linux Mint using OpenConnect.

http://edsordinarylife.wordpress.com/2013/04/26/cisco-anyconnect-in-linux-mint-12-64bit/

New Member

Re: anyconnect linux 64-bit

Hi,

thanks for the reply. I have tried openconnect as well, but no luck. I am using ubuntu 64-bit.

Even before I can provide any credentials, openconnect gives me an error

Got HTTP response: HTTP/1.1 404 Not Found (does not exist)
Cannot receive HTTP 1.0 body without closing connection

I've found this error mentioned in many posts, but can't quite understand how to solve this.

If I try to re-connect again, it will then crash and if I try to reconnect straight after, it will bring up the login screen, but it still doesn't allow me to connect saying something like the agent does not meet the security requirements of the server (something like that anyway).

Why can't cisco make a linux 64-bit client that works ... ?

Many thanks for your help

M

New Member

Re: anyconnect linux 64-bit

I was finally able to connect to my work's network using openconnect!

Kudos to the openconnect guys for being so helpful and helping out.

Here is the post describing the solution.

http://lists.infradead.org/pipermail/openconnect-devel/2013-October/001225.html

Good luck,

M

6148
Views
0
Helpful
3
Replies
CreatePlease to create content